isenkram (0.62) unstable; urgency=medium

  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Updated to debhelper compat level 13.
  * Added python3-setuptools as build dependency (Closes: #1080914).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 06 Oct 2024 07:27:22 +0200

isenkram (0.61) unstable; urgency=medium

  * Dropped isenkram specific modaliases file entries where Appstream
    XML HW information is now present in unstable: ekeyd, libykpers-1-1,
    mkgmap, openfpgaloader, pcmciautils, printer-driver-splix, trezor,
    uuu and viking.
  * Updated generated firmware lists.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 04 Oct 2024 13:41:42 +0200

isenkram (0.60) unstable; urgency=medium

  * Bumpt version number to fix build problem.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 23 Aug 2024 08:16:23 +0200

isenkram (0.59) unstable; urgency=medium

  * Completed submission of BTS reports with patches for every
    modaliases entry, added metainfo with references in the modaliases
    file.
  * Dropped disabled code from isenkram-autoinstall-firmware.
  * Dropped bullseye from firmware list, added trixie.
  * Updated generated firmware lists.
  * Dropped all modaliases file entries where appstream information is
    present in unstable, or the package is no longer in unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 22 Aug 2024 23:06:31 +0200

isenkram (0.58) unstable; urgency=medium

  * Updated modaliases mapping using info from appstream2modaliases.
  * Added comment support in local modaliases file parser.
  * Changed compare-lintian-modaliases d/rules entry to use UDD.
  * Add comments to modaliases file with BTS links.
  * Added more hardware mappings based on BTS reports.
  * Add info in README on how to add Appstream info to packages.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 13 May 2024 23:33:16 +0200

isenkram (0.57) unstable; urgency=medium

  * Flag regex patters using r'' in usb.py to avoid error from
    py3compile during install (Closes: #1069081).
  * Updated generated firmware lists.
  * Updated modaliases file from appstream data in sid using
    appstream2modaliases.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 16 Apr 2024 15:11:33 +0200

isenkram (0.56) unstable; urgency=medium

  * Complete list of matches for metactl.
  * Dropped ColorHug reference in NOTES (Closes: #1060015).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 13 Apr 2024 16:26:56 +0200

isenkram (0.55) unstable; urgency=medium

  * Fix python library version number breaking build.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Dec 2023 11:30:52 +0100

isenkram (0.54) unstable; urgency=medium

  * Adjusted appstream code to work with latest edition.
  * Updated modaliases file from appstream data in sid using
    appstream2modaliases.
  * Updated generated firmware lists.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Dec 2023 11:25:44 +0100

isenkram (0.53) unstable; urgency=medium

  * Fix python library version number breaking build.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 24 Nov 2023 16:22:57 +0100

isenkram (0.52) unstable; urgency=medium

  * Updated modaliases file from appstream data in sid using
    appstream2modaliases.
  * Updated generated firmware lists (Closes: #1056543).
  * Fixed typo in isenkramd.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Nov 2023 18:08:42 +0100

isenkram (0.51) unstable; urgency=medium

  * Bump version number in python library to fix build problem.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 12 Mar 2023 22:03:04 +0100

isenkram (0.50) unstable; urgency=medium

  * Adjusted lintian override to match current versions.
  * Corrected comment in lookup code.
  * Updated modaliases file from appstream data in sid using appstream2modaliases.
  * Updated generated firmware lists.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 12 Mar 2023 09:56:32 +0100

isenkram (0.49) unstable; urgency=medium

  * Updated Standards-Version from 4.5.1 to 4.6.2.
  * Dropped buster and added bookworm to update-fw-list.
  * Added support for the new section non-free-firmware.
  * Updated generated firmware lists.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 01 Feb 2023 21:26:17 +0100

isenkram (0.48+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct version to satisfy version check (Closes: #1025713).

 -- Bastian Germann <bage@debian.org>  Wed, 07 Dec 2022 23:46:30 +0100

isenkram (0.48+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format (Closes: #1007040).

 -- Bastian Germann <bage@debian.org>  Fri, 02 Dec 2022 12:30:04 +0100

isenkram (0.48) unstable; urgency=medium

  * Bump python library version number to 0.48.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Jun 2021 00:39:47 +0200

isenkram (0.47) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Replaced httpredir.debian.org with deb.debian.org (Closes: #985123).

  [ Cyril Brulebois ]
  * Improve speed, reliability and correctness of
    isenkram-autoinstall-firmware (Closes: #989884).
  * Replace https://deb.debian.org/debian with http://deb.debian.org/debian to
    avoid dependency on ca-certificates.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Jun 2021 16:09:55 +0200

isenkram (0.46) unstable; urgency=medium

  * Updated library metadata.
  * Updated generated firmware lists.
  * Fix a few fatal leftovers from python 3 migration (Closes: 984547).
  * Remove /etc/apt/sources.list.d/isenkram-autoinstall-firmware.list on purge
    (Closes: #982781).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 07 Mar 2021 20:16:31 +0100

isenkram (0.45) unstable; urgency=medium

  * Moved to debhelper 12.
  * Replaced usbutils dependency with usb.ids (Closes: #979164).
  * Updated Standards-Version from 4.5.0 to 4.5.1.
  * Moved de po file to UTF-8.  Thanks lintian.
  * Adjusted Vcs-Browser link.
  * Dropped stretch, add bullseye to fw list.
  * Updated generated firmware lists.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 03 Jan 2021 22:07:12 +0100

isenkram (0.44) unstable; urgency=medium

  * Updated generated firmware lists.
  * Updated Standards-Version from 4.3.0 to 4.5.0.
  * Extended appstream2modaliases to use upper case HEX USB values.
  * Updated modaliases file from appstream data in sid.
  * Added 'X-AppStream-Ignore=true' to desktop file.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 25 Jul 2020 10:19:43 +0200

isenkram (0.43) unstable; urgency=medium

  * Release a new package with version matching changelog and __init__.py

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Apr 2020 13:22:56 -0400

isenkram (0.42) unstable; urgency=medium

  * Port to python3; Closes: #936748

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 17:21:06 -0400

isenkram (0.41) unstable; urgency=medium

  * Suggest mu-editor and firmware-microbit-micropython for micro:bit.
  * Include README and NOTES in isenkram-cli docs.
  * Add simple icon to desktop file to keep app-stream happy.
  * Remove code to migrate from isenkram version 0.1.
  * Updated Standards-Version from 4.1.4 to 4.3.0.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Jan 2019 10:48:44 +0100

isenkram (0.40) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Petter Reinholdtsen ]
  * Recognize touch screen in adafruit 2.8" TFT screen.
  * Add mapping for the megactl package.
  * Fix two typos related to xinput-calibrator and xserver-xorg-input-evdev.
  * Replace URL to git repo in lookup library.
  * Updated generated firmware lists.
  * Update modaliases information from appstream in unstable and own experience.
  * Next release will be version 0.40.
  * Stop fetching modaliases information from salsa to speed up lookup.
  * Added Rules-Requires-Root: no to d/control reflecting the needs of
    the package.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 06 Jan 2019 13:09:06 +0100

isenkram (0.39) unstable; urgency=medium

  * Fix typo in isenkram-autoinstall-firmware breaking local file lookup.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 06 May 2018 22:12:06 +0200

isenkram (0.38) unstable; urgency=medium

  * Update modaliases information from appstream in unstable.
  * Change update-fw-list to fetch buster lists and drop jessie lists.
  * Updated generated firmware lists.
  * Rewrote isenkram-autoinstall-firmware to behave better with unknown
    dist names.
  * Migrate project to salsa.debian.org.
  * Updated Standards-Version from 4.0.0 to 4.1.4.
  * Use Debian source format 1.0.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 02 May 2018 10:41:56 +0200

isenkram (0.37) unstable; urgency=medium

  * Map PCI id 80EE:BEEF to new package name virtualbox-guest-x11
    too (Closes: #883470).
  * Update modaliases information from appstream in unstable.
    Added/changed entries for packages beignet-opencl-icd, brltty,
    firmware-ath9k-htc, ledger-wallets-udev, libam7xxx0.1, solaar and
    trezor.
  * Correct how packagekit transaction flags are
    used (Closes: #878706).
  * Changed priority extra with optional.  Thanks lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 22 Mar 2018 10:19:48 +0100

isenkram (0.36) unstable; urgency=medium

  * Added modaliases entry for firmware-siano.
  * Replace code in isenkram-autoinstall-firmware to check if a
    package is installable to something working with apt 1.4.7
    (Closes: #873497).
  * Made update-fw-list more robust.
  * Updated generated firmware lists.
  * Updated modaliases entry for tlp from appstream.
  * Changed to use rst based manual pages.
  * Wrote manual pages for isenkram-autoinstall-firmware,
    isenkram-pkginstall and isenkramd.
  * Added dh-python as build dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 01 Sep 2017 12:48:01 +0000

isenkram (0.35) unstable; urgency=medium

  * Added modalias entry for beignet-opencl-icd and firmware-ath9k-htc
    from AppStream data.
  * Added modaliases entries for fpga-icestorm, goldencheetah,
    python-btchip, python-keepkey, python-yubico-tools, ubertooth,
    xinput-calibrator and xserver-xorg-input-evdev.
  * Updated generated firmware lists.
  * Added rules target compare-lintian-modaliases to compare lintian
    list with this package's modaliases information.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Aug 2017 12:48:44 +0000

isenkram (0.34) unstable; urgency=medium

  * Minor cleanup in copyright statements to make license-reconcile happy.
  * Added modalias entry for nxt-firmware from AppStream data.
  * Mention suggested CPE for isenkram in README.
  * Remove libgnome2-perl build dependency.  Seem to be unused
    (Closes: #870415).
  * Change path to udevadm in NOTES from /sbin/ to /bin/ to use new
    location (Closes: #852595).
  * Change urls in d/copyright to use https.
  * Updated Standards-Version from 3.9.8 to 4.0.0.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 01 Aug 2017 20:06:54 +0000

isenkram (0.33) unstable; urgency=low

  * Fixed bug in isenkram-autoinstall-firmware blocking package
    installation.
  * Added 2 modaliases entries based on udev rules from unstable.
  * Used gbp.conf to document tag format.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Dec 2016 19:28:48 +0000

isenkram (0.32) unstable; urgency=low

  * Added 26 modaliases entries based on udev rules from unstable.
  * Added modalias entry for lomoco based on AppStream from unstable.
  * Drop tp-smapi-source mapping, as tp-smapi-dkms is equivalent and
    more useful (Closes: #825335).
  * Modified isenkram-autoinstall-firmware -l to work better for
    non-root users (Closes: #848915).
  * Changed Vcs links in d/control to use encrypted connections.
  * Added lintian override for isenkram-cli to ignore bogus debconf
    messages.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Dec 2016 12:46:08 +0000

isenkram (0.31) unstable; urgency=low

  * Move package metainfo to __init__.py and remove one redundant
    version number instance.
  * Update some copyright years.
  * Adjust isenkram-lookup to allow specifying modalias on the command
    line.
  * Added setup in d/rules to refuse to build when source and deb
    version do not match.
  * Include product and vendor names in USB popup.
  * Updated modaliases entry for brltty and libnxt from AppStream in
    unstable.
  * Map dfu-util to the USB dongle mentioned in its udev rule.
  * Map ethtool to all PCI ethernet devices.
  * Added blacklist entry for AppStream mapping broadcom-sta-dkms to
    any ethernet card while we wait for a better fix for bug #838735.
  * Updated generated firmware lists.
  * Added simple manual page for isenkram-lookup using txt2man.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Dec 2016 19:59:52 +0000

isenkram (0.30) unstable; urgency=medium

  * Added mapping for HackRF related packages.
  * Updated generated firmware lists.
  * Use httpredir.debian.org instead of http.debian.net when adding
    APT sources.
  * Changed to use curl instead of libwww-perl to reduce the
    dependency footprint.
  * Dropped obsolete dependency libgnome2-perl.
  * Removed obsolete generated files.
  * Added rosegarden for MIDI USB units to modaliases file.
  * Switched to urllib2 to fix https proxy handling.
  * Changed isenkram-autoinstall-firmware to use AppStream, and no
    longer download apt-file data.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Oct 2016 13:30:17 +0200

isenkram (0.29) unstable; urgency=medium

  * Added mapping for broadcom-sta-dkms found via AppStream and made
    it more targeted.
  * Added modaliases entry for galileo.
  * Added missing isenkram-cli dependency libwww-perl for
    isenkram-autoinstall-firmware.
  * Moved python-apt dependency to isenkram-cli for isenkram-lookup.
  * Link to PCI class info and include more examples in
    modalias-format.txt.
  * Changed daemon to restart if it notice itself replaced, to handle
    upgrades.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 13 Oct 2016 04:42:23 +0000

isenkram (0.28) unstable; urgency=medium

  * Add hardware mappings for dahdi, libnxt and tlp.
  * Replaced apt with appstream lookup in daemon code.
  * Added code to avoid duplicate packages in suggestion lists.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 07 Oct 2016 15:24:11 +0200

isenkram (0.27) unstable; urgency=medium

  * Adjusted pkgs_handling_extra_modaliases() to exit silently when
    HTTP download fail.
  * Updated local modaliases file.
  * Fixed typo in modaliases list.
  * Dropped support for modalias header in APT packages files.
    Appstream has taken over.
  * Changed gir1.2-appstream dependency gir1.2-appstream-1.0 to match
    new naming.
  * Added draft code in appstream2modaliases to list firmware info.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Sep 2016 17:13:31 +0000

isenkram (0.26) unstable; urgency=medium

  * Correct URL for downloading modaliases file from git. (Closes: #836323)
  * Modify lookup.py to reflect that git, not svn, is used.
  * Correct autopkgtest control file. (Closes: #836322)
  * Wrap long lines in changelog.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 09 Sep 2016 13:46:53 +0200

isenkram (0.25) unstable; urgency=medium

  * Dropped aptdaemon from recommends, it is not needed any more.
  * Drop tleds from included modaliases file, as the package was
    dropped after Wheezy (Closes: #825334).
  * Added appstream as build dependency to avoid building on archs
    where it is missing.
  * Updated colorhug-client modaliases list to the one available from
    appstrean in unstable.
  * Added new build tool appstream2modaliases to fetch modaliases list
    from appstream.
  * Port lookup code to AppStream api v0.10. (Closes: #836221)
  * Changed update-rw-list to remove empty firmware tables to keep
    them out of the deb.
  * Updated generated firmware lists.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 01 Sep 2016 12:26:45 +0000

isenkram (0.24) unstable; urgency=medium

  * Include PackageKit references as comments in the code.
  * Disable aptdaemon related code and drop package dependencies.
    (Closes: #742429)
  * Updated Standards-Version from 3.9.6 to 3.9.8.
  * Updated generated firmware lists.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 05 Jul 2016 14:45:52 +0200

isenkram (0.23) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Implement package installation using PackageKit (Closes: #742429)

  [ Petter Reinholdtsen ]
  * Fix typo in NOTES comment.
  * Updated generated firmware lists.
  * Adjust packagekit code to have the same function name as the aptdaemon code.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 May 2016 09:51:58 +0200

isenkram (0.22) unstable; urgency=medium

  * Correct autopkgtest script test-gui-daemon.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 01 Jan 2016 21:07:56 +0100

isenkram (0.21) unstable; urgency=medium

  * Get isenkramd to receive udev events again.  Change GUdev client
    initialization code, to get uevents again when hardware is
    inserted.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 Dec 2015 20:16:24 +0100

isenkram (0.20) unstable; urgency=low

  * Add missing python-apt dependency to the isenkram-cli package.
    (Closes: #805510)
  * Restructure autopkgtest setup, splitting in one cli test and one
    gui test.
  * Drop oldstable/wheezy and add testing/stretch to list of
    distributions to track.
  * Updated generated firmware lists.
  * Add code to use appstream as a data source for hardware/modalias to
    package mappings.
  * Add Test-Command field to autopkgtest control file, as requested by lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Dec 2015 15:06:48 +0000

isenkram (0.19) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add forgotten file tasksel/packages/for-current-hardware-firmware
    to isenkram-cli (Closes: #783831).
  * Add missing Settings category to desktop file.
  * Fix python space/formatting issues reported by 'pep8 --ignore W191'.
  * Updated generated firmware lists.
  * Modify text of button showed in event to fit it smaller screen estate.
  * Remove obsolete conflicts/replaces on hw-support-handler.
  * Reduce isenkram-cli deb size. (Closes: #769664)
  * Updated standards-version from 3.9.5 to 3.9.6.  No changes needed.
  * Move from debhelper 8 to 9.

  [ Julian Andres Klode ]
  * Port to GObject introspection (Closes: #775554)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 13 Oct 2015 06:09:25 +0200

isenkram (0.18) unstable; urgency=low

  * Adjust debian/tests/test-command-line to accept no firmware to
    install as a OK result when running the test.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 12 Nov 2014 10:34:56 +0100

isenkram (0.17) unstable; urgency=low

  * Update generated firmware lists (Closes: #769230).
  * Change debian/tests/test-command-line to ignore errors from lspci
    and lsusb, as their output is only for debugging purposes and not
    really testing isenkram.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 06 Nov 2014 07:41:59 +0100

isenkram (0.16) unstable; urgency=low

  * Change debian/tests/test-command-line to send errors from lspci and
    lsusb to stdout to avoid ci.debian.net count missing USB or PCI
    devices as a failure.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 28 Oct 2014 19:34:35 +0100

isenkram (0.15) unstable; urgency=low

  * Fix typo in the task description, to make the firmware task get
    the firmware list.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 Oct 2014 13:42:55 +0200

isenkram (0.14) unstable; urgency=low

  * Split tasksel tasks in two, one for firmware and another for other
    packages.  Select firmware for installation by default.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 Oct 2014 17:56:51 +0200

isenkram (0.13) unstable; urgency=low

  * isenkram-autoinstall-firmware:
     - Correct URL selection logic to also handle the main repo for
       non-Wheezy installation.
     - Improve handling of lsb_release not being able to figure out the
       codename of the distribution.
     - Make sure to not wait for input if no relevant firmware mapping
       files are found.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 15 Oct 2014 14:52:28 +0200

isenkram (0.12) unstable; urgency=low

  * Use apt-get instead of aptitude in isenkram-pkginstall.
  * Make update-fw-list more robust and fetch information about all
    architectures provided in a given suite.
  * Adjust isenkram-autoinstall-firmware and isenkram-pkginstall to only
    list packages once.
  * Extend isenkram-autoinstall-firmware to also look in dmesg for
    requested firmware.
  * Add debconf translations for id, pl and sk.  Copied from the
    latest discover upload.
  * Change autopkgtest script to redirect stderr to stdout, to avoid
    failing in test run.
  * Run lsusb and lspci in the testsuite.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 13 Oct 2014 20:36:53 +0200

isenkram (0.11) unstable; urgency=medium

  * Add new tool isenkram-pkginstall. It is inspired by
    discover-pkginstall, using debconf to ask which hardware related
    packages to install.  The template text strings and translations
    were reused from the discover package, to avoid bothering
    translators with the same text again.
  * Remove debug output left behind by mistake in isenkram-pkginstall.
  * Improve verbose message in isenkram-pkginstall.
  * Make sure isenkram-cli Break/Replace isenkram before version
    0.9+exp.1 to handle upgrades (Closes: #759770).  Thank you Felipe
    Sateler for the reminder.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Aug 2014 08:54:10 +0200

isenkram (0.10) unstable; urgency=low

  * Upload to unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Aug 2014 20:42:53 +0200

isenkram (0.9+exp.1) experimental; urgency=low

  * Introduce new binary package isenkram-cli.
    It include the hardware->package mapping, the library and the
    command line tools, to make it possible to use those without
    activating the GUI popup.
  * Ran debian/rules update to generate a list of packages with
    firmware and the path to the firmware they contain.  Currently
    install for wheezy, jessie and sid.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Aug 2014 12:41:35 +0200

isenkram (0.9) unstable; urgency=low

  * Update description in isenkram-autoinstall-firmware.
  * Make sure isenkram-autoinstall-firmware create apt sources.list
    fragment readable by everyone.
  * Improve information message from isenkram-autoinstall-firmware.
  * Change Vcs-Browser link to the cgit one.
  * Add simple autopkgtest check calling the command line tools.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Aug 2014 12:28:55 +0200

isenkram (0.8) unstable; urgency=low

  * Correct inverted logic in code deciding if firmware package is
    available or not (Closes: #729438).  Thanks to Felipe Sateler for
    discovering this.
  * Adjusted /usr/lib/tasksel/packages/for-current-hardware, made sure
    /usr/sbin is in PATH when it is called.
  * Update Standards-Version from 3.9.4 to 3.9.5.  No changes needed.
  * Forking before installing seem to be a OK workaround for bug #745487
    (Closes: #719837).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 27 Aug 2014 21:43:43 +0200

isenkram (0.7) unstable; urgency=low

  * Implement workaround in lookup.py for the resource leak caused by
    python-apt (BTS #745487), by calling gc.collect() when the code is
    done with the APT cache.  This get rid of the file descriptor leak
    (Closes: #730704) and reduces the memory leak to 2MiB per hardware
    detection (helps with bug #719837).
  * Make sure isenkram-autoinstall-firmware only print kernel modules to
    stdout and info/error messages to stderr.
  * Use isenkram-autoinstall-firmware in the tasksel task to look up
    relevant packages.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 23 Apr 2014 10:58:42 +0200

isenkram (0.6) unstable; urgency=low

  * Add tasksel task to allow hardware specific packages detected by
    isenkram to be installed by tasksel.  Install them by default on
    new installations when isenkram is installed before tasksel is
    executed, and list the option without selecting it by default
    after installation.
  * Correct isenkram-autoinstall-firmware of the b43 kernel module,
    make sure contrib and non-free APT source is added before trying
    to install firmware-b43-installer.
  * Make isenkram-autoinstall-firmware more robust and able to search
    for firmware in packages present in contrib and non-free.
  * Propose to install finger print reading packages fprintd,
    fprintd-demo and libpam-fprintd for USB device 147E:2020.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Jul 2013 23:04:04 +0200

isenkram (0.5) unstable; urgency=low

  * Rebuild package in unstable to get the python dependencies right
    (Closes: #714117).  Thanks to Raf Czlonka for noticing.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 26 Jun 2013 11:18:34 +0200

isenkram (0.4) unstable; urgency=low

  * Change modaliases file to suggest calibre when Kobo and PocketBook
    ebook readers are inserted.  Patch from Marius Kotsbak.
  * New tool isenkram-autoinstall-firmware to automatically detect and
    install required firmware packages for the current machine.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Jun 2013 11:01:29 +0200

isenkram (0.3) unstable; urgency=low

  * Search for modalias files in /sys/devices/ instead of /sys/, to
    speed up the process and avoid looking in irrelevant parts of
    /sys/.
  * Change aptdaemon dependency to recommend, to make it possible to
    use isenkram from the command line without installing aptdaemon
    (Closes: #704666).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 07 Apr 2013 07:13:08 +0200

isenkram (0.2) experimental; urgency=low

  * Change installation system to use setup.py to install the python
    module.
  * Update build rules to use dh_python2, after tip from Stuart
    Prescott.
  * Implement support for looking up packages claiming support for a
    given kernel module using the lkmodule:module "modalias" notation.
    Use it to propose wacom related packages.
  * Correct symlink created in /etc/xdg/autostart/ to point to the
    correct file.  Clean up old symlink in postinst.  Thanks to
    Bob Rosbag for discovering it.
  * Make aptdaemon integration more robust, based on example code from
    the Wheezy version of python-aptdaemon-gtk.  Thanks to Bob Rosbag
    for the debugging.
  * Change behaviour.  Suggest packages every time a piece of hardware
    is inserted, instead of only the first time.  This seem to be less
    confusing for users.
  * Make it possible to provide ones own package/hw mappings by adding
    files in /usr/share/isenkram/modaliases.d/.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Jan 2013 15:53:21 +0100

isenkram (0.1) pere-squeeze; urgency=low

  * Initial release (Closes: #699077).
  * Inserts XDG autostart entry in /etc/xdg/autostart/ to run
    automatically when users log in.
  * Handle both Modaliases headers in APT database, hardware mappings
    from the git repository and hardware mappings provided locally in
    the package.
  * Notify the user via dbus desktop notification events.
  * Use PackageKit API from aptdaemon to handle the package
    installation.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 23 Jan 2013 12:25:31 +0100
